Bug 831298 - [abrt] pgadmin3-1.14.0-2.fc17: wxWindowBase::Close: Process /usr/bin/pgadmin3 was killed by signal 11 (SIGSEGV)
[abrt] pgadmin3-1.14.0-2.fc17: wxWindowBase::Close: Process /usr/bin/pgadmin3...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pgadmin3 (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Devrim Gündüz
Fedora Extras Quality Assurance
abrt_hash:43e1656db28e17ba57edea568d8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 13:44 EDT by Caio A Rezende
Modified: 2013-01-15 09:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-15 09:51:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.79 KB, text/plain)
2012-06-12 13:44 EDT, Caio A Rezende
no flags Details
File: maps (51.45 KB, text/plain)
2012-06-12 13:44 EDT, Caio A Rezende
no flags Details
File: dso_list (10.99 KB, text/plain)
2012-06-12 13:45 EDT, Caio A Rezende
no flags Details
File: build_ids (4.12 KB, text/plain)
2012-06-12 13:45 EDT, Caio A Rezende
no flags Details

  None (edit)
Description Caio A Rezende 2012-06-12 13:44:52 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/pgadmin3
comment:        It happened when I closed the window, by clicking on the top-right button.
crash_function: wxWindowBase::Close
executable:     /usr/bin/pgadmin3
kernel:         3.4.0-1.fc17.x86_64
pid:            11596
pwd:            /home/carezende
time:           Ter 12 Jun 2012 14:31:26 BRT
uid:            1000
username:       carezende

backtrace:      Text file, 21285 bytes
build_ids:      Text file, 4223 bytes
dso_list:       Text file, 11250 bytes
maps:           Text file, 52680 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/carezende/2

core_backtrace:
:9e028577f30c598f369ec3d060b8b105e911ed10 0x2d4e7f wxWindowBase::Close(bool) libwx_gtk2u_core-2.8.so.0 -
:94b133e5ec37adae804f92f9e145f04f5dcdd2f7 0x199fd8 - [exe] -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6796 wxEvtHandler::ProcessEventIfMatches(wxEventTableEntryBase libwx_baseu-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6904 wxEventHashTable::HandleEvent(wxEvent&, libwx_baseu-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6c27 wxEvtHandler::ProcessEvent(wxEvent&) libwx_baseu-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0xe6bb0 wxEvtHandler::ProcessEvent(wxEvent&) libwx_baseu-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x2d4e85 wxWindowBase::Close(bool) libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x20084b - libwx_gtk2u_core-2.8.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14db1c - libgtk-x11-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x28156e - libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14bf3b gtk_main_do_event libgtk-x11-2.0.so.0 -
:d8d393649ae4da146ebc8812db58514f245f08a9 0x616fc - libgdk-x11-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14ac27 gtk_main libgtk-x11-2.0.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x1f81d8 wxEventLoop::Run() libwx_gtk2u_core-2.8.so.0 -
:9e028577f30c598f369ec3d060b8b105e911ed10 0x26a30c wxAppBase::MainLoop() libwx_gtk2u_core-2.8.so.0 -
:1930c8cd9ca42879da095fd8b54478483f71d785 0x978e5 wxEntry(int&, libwx_baseu-2.8.so.0 -
:94b133e5ec37adae804f92f9e145f04f5dcdd2f7 0x3ef82 - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/carezende/keyring-JxO02c
:QT_GRAPHICSSYSTEM_CHECKED=1
:'IMSETTINGS_MODULE=X compose table'
:USER=carezende
:MAIL=/var/spool/mail/carezende
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/carezende/.local/bin:/home/carezende/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/carezende
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1190
:LANG=pt_BR.utf8
:GDM_LANG=pt_BR.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/carezende
:SHLVL=1
:LOGNAME=carezende
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-b96tChYOVH,guid=c751e6541af1e70598c9588000000024
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/carezende
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-carezende-c1ricI/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1194,unix/unix:/tmp/.ICE-unix/1194
:SSH_AUTH_SOCK=/run/user/carezende/keyring-JxO02c/ssh
:GPG_AGENT_INFO=/run/user/carezende/keyring-JxO02c/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/pgadmin3.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=11596

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 22833                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       22833                22833                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:1:/home/carezende/.xsession-errors
:2:/home/carezende/.xsession-errors
:3:anon_inode:[eventfd]
:4:socket:[751999]
:5:socket:[752000]
:6:anon_inode:inotify
:7:socket:[752808]
:8:socket:[752809]

var_log_messages:
:Jun 12 14:31:26 localhost kernel: [31889.594579] pgadmin3[11596]: segfault at 0 ip 00000033c62d4e7f sp 00007fff89fba220 error 4 in libwx_gtk2u_core-2.8.so.0.8.0[33c6000000+39a000]
:Jun 12 14:31:26 localhost abrt[15816]: Saved core dump of pid 11596 (/usr/bin/pgadmin3) to /var/spool/abrt/ccpp-2012-06-12-14:31:26-11596 (59375616 bytes)
Comment 1 Caio A Rezende 2012-06-12 13:44:56 EDT
Created attachment 591241 [details]
File: backtrace
Comment 2 Caio A Rezende 2012-06-12 13:44:59 EDT
Created attachment 591242 [details]
File: maps
Comment 3 Caio A Rezende 2012-06-12 13:45:05 EDT
Created attachment 591243 [details]
File: dso_list
Comment 4 Caio A Rezende 2012-06-12 13:45:08 EDT
Created attachment 591244 [details]
File: build_ids
Comment 5 Chris Sharp 2012-06-18 10:07:34 EDT
I closed PGAdmin and chose to not save the unsaved queries.

backtrace_rating: 4
Package: pgadmin3-1.14.0-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Devrim Gündüz 2013-01-15 09:51:42 EST
Upgrade to latest version first.

Note You need to log in before you can comment on or make changes to this bug.